# VM support

lmn_client provides scripts to
* create
* modify
* distribute
* run

VMs based on Qemu/KVM in school network.

## Requirements

* For distribution of VMs, you have to run a `seedbox` with aria2 server (torrent server).\
  Repository with ansible-playbook for seedbox install: https://codeberg.org/digitalsouveraeneschule/...
* `seedbox`-hostname must be resolvable via DNS

## Activation / Default

### To enable VM support:

```
vm_support: true
```

Default: `vm_support: false

### Torrent Server
```
vm_torrent_srv: "myseedbox.linuxmuster.net"
```

Default: `vm_torrent_srv: "seedbox.{{ domain }}"`


## Example

Enable VM support on all clients.

inventory.yml
```
all:
  vars:
    vm_support: true
    vm_torrent_srv: "myseedbox.linuxmuster.net" # default: seedbox.{{ domain }}
```
